NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SnipSurfaceBuilder Class Reference

Represents a NXOpen.Features.SnipSurface builder More...

Inheritance diagram for NXOpen.Features.SnipSurfaceBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Types { SnipCurve, SnipSurface, SnipAtPlane, IsoparamSnip }
 Snip method added in v 7. More...
 

Public Member Functions

unsafe bool GetCreateNewCopy ()
 Returns the indicator for creating a new copy More...
 
unsafe void SetCreateNewCopy (bool createNewCopy)
 Sets the indicator for creating a new copy More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe int CutType [get, set]
 Returns or sets the cutting type More...
 
unsafe bool DivideSurface [get, set]
 Returns or sets a value indicating whether to divide the surface More...
 
unsafe bool EditCopy [get, set]
 Returns or sets a value indicating whether to keep the original surface intact More...
 
unsafe NXOpen.Expression IsoparametricPosition [get]
 Returns the isoparametric position More...
 
unsafe bool KeepOppositeSurface [get, set]
 Returns or sets a value indicating whether to keep the opposite surface. More...
 
unsafe
NXOpen.GeometricUtilities.ProjectionOptions 
ProjectDirection [get]
 Returns the project direction More...
 
unsafe
NXOpen.GeometricUtilities.RefitControlBuilder 
RefitControl [get]
 Returns the refit control More...
 
unsafe NXOpen.Point3d RegionPickPoint [get, set]
 Returns or sets the 3D point picked on surface in Select Face More...
 
unsafe int SelectUV [get, set]
 Returns or sets the UV flag More...
 
unsafe NXOpen.Section SnippingCurve [get]
 Returns the snipping curve More...
 
unsafe NXOpen.SelectTaggedObject SnippingObject [get]
 Returns the snipping object More...
 
unsafe NXOpen.Plane SnippingPlane [get, set]
 Returns or sets the snipping plane More...
 
unsafe NXOpen.Point3d SurfacePointUV [get, set]
 Returns or sets the UV values of the picked point on surface More...
 
unsafe NXOpen.SelectFace TargetFace [get]
 Returns the target face More...
 
unsafe
NXOpen.Features.SnipSurfaceBuilder.Types 
Type [get, set]
 Returns or sets the snipping method accessor More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.SnipSurface builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateSnipSurfaceBuilder

Default values.

Property Value

RefitControl.DegreesAndSegmentsOrPatches.Degree

3

RefitControl.DegreesAndSegmentsOrPatches.SegmentsOrPatches

1

RefitControl.DegreesAndSegmentsOrPatches.UDegree

5

RefitControl.DegreesAndSegmentsOrPatches.UPatches

1

RefitControl.DegreesAndSegmentsOrPatches.VDegree

5

RefitControl.DegreesAndSegmentsOrPatches.VPatches

1

Created in NX6.0.0

Member Enumeration Documentation

Snip method added in v 7.

5.0

Enumerator
SnipCurve 
SnipSurface 
SnipAtPlane 
IsoparamSnip 

Member Function Documentation

unsafe bool NXOpen.Features.SnipSurfaceBuilder.GetCreateNewCopy ( )
inline

Returns the indicator for creating a new copy

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Returns
unsafe void NXOpen.Features.SnipSurfaceBuilder.SetCreateNewCopy ( bool  createNewCopy)
inline

Sets the indicator for creating a new copy

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
createNewCopy

Property Documentation

unsafe int NXOpen.Features.SnipSurfaceBuilder.CutType
getset

Returns or sets the cutting type

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.SnipSurfaceBuilder.DivideSurface
getset

Returns or sets a value indicating whether to divide the surface

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.SnipSurfaceBuilder.EditCopy
getset

Returns or sets a value indicating whether to keep the original surface intact

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Features.SnipSurfaceBuilder.IsoparametricPosition
get

Returns the isoparametric position

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Features.SnipSurfaceBuilder.KeepOppositeSurface
getset

Returns or sets a value indicating whether to keep the opposite surface.

This is applicable only when DivideSurface is false

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.ProjectionOptions NXOpen.Features.SnipSurfaceBuilder.ProjectDirection
get

Returns the project direction

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.RefitControlBuilder NXOpen.Features.SnipSurfaceBuilder.RefitControl
get

Returns the refit control

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point3d NXOpen.Features.SnipSurfaceBuilder.RegionPickPoint
getset

Returns or sets the 3D point picked on surface in Select Face

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.SnipSurfaceBuilder.SelectUV
getset

Returns or sets the UV flag

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Section NXOpen.Features.SnipSurfaceBuilder.SnippingCurve
get

Returns the snipping curve

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectTaggedObject NXOpen.Features.SnipSurfaceBuilder.SnippingObject
get

Returns the snipping object

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Plane NXOpen.Features.SnipSurfaceBuilder.SnippingPlane
getset

Returns or sets the snipping plane

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point3d NXOpen.Features.SnipSurfaceBuilder.SurfacePointUV
getset

Returns or sets the UV values of the picked point on surface

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectFace NXOpen.Features.SnipSurfaceBuilder.TargetFace
get

Returns the target face

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.SnipSurfaceBuilder.Types NXOpen.Features.SnipSurfaceBuilder.Type
getset

Returns or sets the snipping method accessor

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.